Skip to main content
POST
/
api
/
v1
/
projects
/
{id}
/
milestones
Add a milestone to a project.
curl --request POST \
  --url https://api.backside.app/api/v1/projects/{id}/milestones \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "position": 123,
  "status": "<string>",
  "target_date": "2023-12-25"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "name": "<string>",
  "position": 123,
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "target_date": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Project ID

Body

application/json
name
string
required
description
string | null
position
integer<int32> | null
status
string | null
target_date
string<date> | null

Response

201 - application/json
created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
name
string
required
position
integer<int32>
required
project_id
string<uuid>
required
status
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
description
string | null
target_date
string<date> | null